#
# spec file for package kicad-doc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Stock distribution package for xetex has a bug. As there is no way to just
# build languages which use pdftex, disable PDF documentation completely
%if 0%{?suse_version} > 1500
%bcond_without pdf
%else
%bcond_with pdf
%endif

Name:           kicad-doc
Version:        5.0.2
Release:        35.2
Summary:        Documentation and tutorials for KiCad
License:        GPL-3.0-or-later AND CC-BY-SA-3.0
Group:          Documentation/Other
Url:            http://kicad-pcb.org
Source:         https://github.com/KiCad/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE kicad-doc-notimestamp.patch davejplater@gmail.com -- Remove time stamped footer from html pages.
Patch0:         kicad-doc-notimestamp.patch
BuildRequires:  asciidoc >= 8.6.9
BuildRequires:  cmake
BuildRequires:  dblatex >= 0.3.4
BuildRequires:  fdupes
BuildRequires:  gettext >= 0.18
BuildRequires:  libxslt-tools
BuildRequires:  po4a >= 0.45
BuildRequires:  source-highlight
BuildRequires:  perl(Unicode::LineBreak)
%if %{with pdf}
BuildRequires:  texlive-babel-catalan
BuildRequires:  texlive-babel-dutch
BuildRequires:  texlive-babel-french
BuildRequires:  texlive-babel-german
BuildRequires:  texlive-babel-italian
BuildRequires:  texlive-babel-polish
BuildRequires:  texlive-babel-russian
BuildRequires:  texlive-babel-spanish
BuildRequires:  texlive-fandol
BuildRequires:  texlive-gnu-freefont
BuildRequires:  texlive-xetex
BuildRequires:  vlgothic-fonts
BuildRequires:  tex(8r.enc)
BuildRequires:  tex(bahasa.ldf)
BuildRequires:  tex(cmap.sty)
BuildRequires:  tex(eu1enc.def)
BuildRequires:  tex(fancybox.sty)
BuildRequires:  tex(japanese.ldf)
BuildRequires:  tex(mathptmx.sty)
BuildRequires:  tex(mathrsfs.sty)
BuildRequires:  tex(pcrr8t.tfm)
BuildRequires:  tex(phvb8t.tfm)
BuildRequires:  tex(psyr.tfm)
BuildRequires:  tex(ptmr8t.tfm)
BuildRequires:  tex(pzdr.tfm)
BuildRequires:  tex(xeCJK.sty)
BuildRequires:  tex(xltxtra.sty)
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       kicad = %{version}

%description
Kicad is an open source software for the creation of electronic
schematic diagrams and printed circuit board artwork.
This is the documentation package for KiCad. It contains documentation
and tutorials.


%package        ca
Summary:        Catalan documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:ca)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    ca
This package contains Catalan documentation and tutorials for KiCad

%package        de
Summary:        German documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:de)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    de
This package contains German documentation and tutorials for KiCad

%package        en
Summary:        English documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:en)
Requires:       kicad-doc = %{version}

%description    en
This package contains English documentation and tutorials for KiCad

%package        es
Summary:        Spanish documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:es)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    es
This package contains Spanish documentation and tutorials for KiCad

%package        fr
Summary:        French documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:fr)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    fr
This package contains French documentation and tutorials for KiCad

%package        id
Summary:        Indonesian documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:id)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    id
This package contains Indonesian documentation and tutorials for KiCad

%package        it
Summary:        Italian documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:it)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    it
This package contains Italian documentation and tutorials for KiCad

%package        ja
Summary:        Japanese documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:ja)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    ja
This package contains Japanese documentation and tutorials for KiCad

%package        nl
Summary:        Netherlandian documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:nl)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    nl
This package contains Netherlandian documentation and tutorials for KiCad

%package        pl
Summary:        Polish documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:pl)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    pl
This package contains Polish documentation and tutorials for KiCad

%package        ru
Summary:        Russian documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:ru)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    ru
This package contains Russian documentation and tutorials for KiCad

%package        zh
Summary:        Chinese documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:zh)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    zh
This package contains Chinese documentation and tutorials for KiCad

%prep
%setup -q

%patch0

# Workaround for dblatex bug #117 - randomly selected warning symbol
cp /usr/share/dblatex/latex/graphics/warning.pdf CMakeSupport/

%build
# SOURCE_DATE_EPOCH affirmation variable used by TeX, current
export FORCE_SOURCE_DATE=1
# Deprecated variant used by TeX in Leap 42.x
export SOURCE_DATE_EPOCH_TEX_PRIMITIVES=1
# Supported output formats: html;pdf;epub;
%if %{with pdf}
%cmake -DKICAD_DOC_PATH=%{_docdir}/kicad/help -DBUILD_FORMATS='html;pdf;'
%else
%cmake -DKICAD_DOC_PATH=%{_docdir}/kicad/help -DBUILD_FORMATS='html;'
%endif
%{make_jobs}

%install
%cmake_install

for lang in ca de en es fr id it ja nl pl ru zh ; do
    %fdupes %{buildroot}%{_docdir}/kicad/help/$lang
done

%files
%dir %{_docdir}/kicad/
%dir %{_docdir}/kicad/help/
%doc AUTHORS_README.adoc CHEATSHEET.adoc README.adoc
%license LICENSE.adoc

%files ca
%{_docdir}/kicad/help/ca/

%files de
%{_docdir}/kicad/help/de/

%files en
%{_docdir}/kicad/help/en/

%files es
%{_docdir}/kicad/help/es/

%files fr
%{_docdir}/kicad/help/fr/

%files id
%{_docdir}/kicad/help/id/

%files it
%{_docdir}/kicad/help/it/

%files ja
%{_docdir}/kicad/help/ja/

%files nl
%{_docdir}/kicad/help/nl/

%files pl
%{_docdir}/kicad/help/pl/

%files ru
%{_docdir}/kicad/help/ru/

%files zh
%{_docdir}/kicad/help/zh/

%changelog
* Thu Dec  6 2018 davejplater@gmail.com
- Update to release 5.0.2 in line with kicad update.
* Sat Oct 13 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to bugfix release 5.0.1
  * Various smaller changes and translation updates
- Remove verbose-a2x-debug.patch, no longer needed
* Sat Sep 29 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Require kicad-doc-en from other translation subpackages
  to provide a fallback for incomplete translations.
* Sun Aug  5 2018 stefan.bruens@rwth-aachen.de
- Cleanup spec file:
  * Remove unused BuildRequires: git
  * Reduce BuildRequires:, use only required TeX packages instead of
    the collection metapackages
  * Remove commented out commands
  * Drop default %%defattr
  * Use %%_docdir instead of %%_datadir
- Make build reproducible:
  * Fix randomly selected Warning symbol image
  * Force SOURCE_DATE_EPOCH usage in TeX
- Disable PDF generation on old distributions only, which
  fail to build due to a XeTeX bug
- Fix zh subpackage:
  * set correct language in locale(kicad-doc:zh) Provides
  * include in fdupes run
* Sun Jul 22 2018 davejplater@gmail.com
- Update to version 5.0.0, rebase verbose-a2x-debug.patch.
- Is now dual GPL-3.0+ and CC-BY-SA-3.0 licensed
- Added Chinese documentation.
* Mon Sep  4 2017 davejplater@gmail.com
- Update to version 4.0.7
- Link requires to the same kicad version
* Thu Apr 13 2017 davejplater@gmail.com
- Removed time stamp from pages with kicad-doc-notimestamp.patch
* Thu Mar 23 2017 xxxxxmichl@googlemail.com
- update to version 4.0.6
- Enabled indonesian language
* Thu Jan 12 2017 davejplater@gmail.com
- Update to version 4.0.5
- Disabled problematic pdf builds, html is needed for kicad help.
- Enabled Japanese and 42.x Italian packages html builds ok.
* Mon Sep 12 2016 davejplater@gmail.com
- Update to version 4.0.4
- Added new packages for Catalan, Russian, Spanish and German.
- Added verbose-a2x-debug.patch for verbose a2x output.
* Mon Mar 21 2016 dmitry_r@opensuse.org
- Update to version 4.0.2
* Wed Dec  2 2015 dmitry_r@opensuse.org
- Update to version 4.0.0
* Fri Sep 25 2015 dmitry_r@opensuse.org
- Update to version 4.0.0~20150925
* Wed Jul 31 2013 dmitry_r@opensuse.org
- Update to version 20130728
* Tue Apr  9 2013 werner.ho@gmx.de
- update to version 20130409
* Fri Jan 25 2013 dmitry_r@opensuse.org
- Update to version 20130120
- Change license to SUSE-OldFSFDocLicense [bnc#796377]
* Fri Dec 28 2012 dmitry_r@opensuse.org
- spec file cleanup
* Fri May 27 2011 werner.ho@gmx.de
- new version 2011-04-29
* Tue Apr 13 2010 mhopf@novell.com
- Update to 2010-04-06-SVN2508
* Tue Dec 16 2008 werner.ho@gmx.de
- directory fix for openSUSE 11.1
* Sat Oct  4 2008 werner.ho@gmx.de
- new version 1.1
* Tue Mar 25 2008 werner.ho@gmx.de
- initial build of the kicad documentation package version 1.0
